/*
  LilyPad_light_sensor_LED

  When sensorPin (A4) is connected to ground, LED connected to ledPin (9) will light up.
  Connect a photoresistor (light sensor) between sensorPin and ground.
*/

int ledPin = 9;              
int sensorPin = A4;

void setup() {                
  Serial.begin(9600);           // Sets up the serial window. Tools->Serial Monitor
  pinMode(ledPin, OUTPUT);
  pinMode(sensorPin, INPUT);
  // sensorPin will be high by default, until you connect it to ground
  // through a light sensor (photoresistor)
  digitalWrite(sensorPin, HIGH);
}

void loop() {
  
  // Get the voltage on sensorPin and store it in sensorValue
  int sensorValue = analogRead(sensorPin);
  
  Serial.println(sensorValue);
 
  if (sensorValue > 500)
  {
    digitalWrite(ledPin, HIGH);
  } 
  else
  {
    digitalWrite(ledPin, LOW); 
  }

}
